Guest flow events
curl --request GET \
--url https://{host}/api/clusters/{name}/security/flows/events \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/clusters/{name}/security/flows/events"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/clusters/{name}/security/flows/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/clusters/{name}/security/flows/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/clusters/{name}/security/flows/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/clusters/{name}/security/flows/events")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/clusters/{name}/security/flows/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"events": [
{
"destPort": 1,
"dstNs": "<string>",
"dstWl": "<string>",
"protocol": "<string>",
"srcNs": "<string>",
"srcWl": "<string>",
"time": "2023-11-07T05:31:56Z",
"verdict": "<string>",
"attributedFqdn": "<string>",
"code": 1,
"coveredByDst": [
"<string>"
],
"coveredBySrc": [
"<string>"
],
"destLabels": [
"<string>"
],
"dnsAnswers": [
"<string>"
],
"dnsQuery": "<string>",
"dropReasonDesc": "<string>",
"dstIdentity": 1,
"dstIdentityLabels": [
"<string>"
],
"dstIp": "<string>",
"dstPod": "<string>",
"egressAllowedBy": [
"<string>"
],
"egressDeniedBy": [
"<string>"
],
"forwardedFor": "<string>",
"forwardedHost": "<string>",
"forwardedProto": "<string>",
"httpProtocol": "<string>",
"ingressAllowedBy": [
"<string>"
],
"ingressDeniedBy": [
"<string>"
],
"l7Type": "<string>",
"latencyMs": 123,
"method": "<string>",
"realClientIp": "<string>",
"sourceLabels": [
"<string>"
],
"srcIdentity": 1,
"srcIdentityLabels": [
"<string>"
],
"srcIp": "<string>",
"srcPod": "<string>",
"trafficDirection": "<string>",
"url": "<string>"
}
],
"scope": {
"addressing": "<string>",
"cluster": "<string>",
"labels": [
"<string>"
],
"namespaces": [
"<string>"
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}security
Guest flow events
The tenant-facing flow read. Cluster-addressed for the reason spelled out
Authorisation: security:Read on krn:celum:supervisor:{?supervisor}:cluster:{name}:security:*, or on krn:celum:supervisor:{?supervisor}:project:{?project}:cluster:{name}:security:* — the project-qualified form, which is how a policy scopes a tenant to one project. Either resource matching is enough.
GET
/
api
/
clusters
/
{name}
/
security
/
flows
/
events
Guest flow events
curl --request GET \
--url https://{host}/api/clusters/{name}/security/flows/events \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/clusters/{name}/security/flows/events"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/clusters/{name}/security/flows/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/clusters/{name}/security/flows/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/clusters/{name}/security/flows/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/clusters/{name}/security/flows/events")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/clusters/{name}/security/flows/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"events": [
{
"destPort": 1,
"dstNs": "<string>",
"dstWl": "<string>",
"protocol": "<string>",
"srcNs": "<string>",
"srcWl": "<string>",
"time": "2023-11-07T05:31:56Z",
"verdict": "<string>",
"attributedFqdn": "<string>",
"code": 1,
"coveredByDst": [
"<string>"
],
"coveredBySrc": [
"<string>"
],
"destLabels": [
"<string>"
],
"dnsAnswers": [
"<string>"
],
"dnsQuery": "<string>",
"dropReasonDesc": "<string>",
"dstIdentity": 1,
"dstIdentityLabels": [
"<string>"
],
"dstIp": "<string>",
"dstPod": "<string>",
"egressAllowedBy": [
"<string>"
],
"egressDeniedBy": [
"<string>"
],
"forwardedFor": "<string>",
"forwardedHost": "<string>",
"forwardedProto": "<string>",
"httpProtocol": "<string>",
"ingressAllowedBy": [
"<string>"
],
"ingressDeniedBy": [
"<string>"
],
"l7Type": "<string>",
"latencyMs": 123,
"method": "<string>",
"realClientIp": "<string>",
"sourceLabels": [
"<string>"
],
"srcIdentity": 1,
"srcIdentityLabels": [
"<string>"
],
"srcIp": "<string>",
"srcPod": "<string>",
"trafficDirection": "<string>",
"url": "<string>"
}
],
"scope": {
"addressing": "<string>",
"cluster": "<string>",
"labels": [
"<string>"
],
"namespaces": [
"<string>"
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.